Get Energy Account Detail
curl --request GET \
--url https://api.provider.fiskil.com/v1/energy/customer/{customerId}/accounts/{accountId} \
--header 'Authorization: Bearer <token>'{
"data": {
"accountId": "019a08ff-90b2-71b3-9704-2f5dc6647e49",
"accountNumber": "0123456789",
"displayName": "Resi Single Rate",
"openStatus": "OPEN",
"creationDate": "2025-01-01T00:00:00.000Z",
"plans": [
{
"nickname": "Resi Single Rate",
"servicePointIds": [
"4123456789"
],
"planOverview": {
"displayName": "Resi Single Rate",
"startDate": "2025-01-01T00:00:00.000Z"
},
"planDetail": {
"fuelType": "ELECTRICITY",
"isContingentPlan": false,
"meteringCharges": [
{
"displayName": "standard metering charge",
"description": "Basic fee for metering",
"minimumValue": "0.20",
"period": "P3M"
}
],
"electricityContract": {
"additionalFeeInformation": "A fee applies for missed payments",
"pricingModel": "SINGLE_RATE",
"timeZone": "LOCAL",
"isFixed": true,
"variation": "We may vary the rates for your electricity consumption with 30 days notice",
"paymentOption": [
"PAPER_BILL",
"CREDIT_CARD",
"DIRECT_DEBIT",
"BPAY"
],
"intrinsicGreenPower": {
"greenPercentage": "0.7"
},
"controlledLoad": [
{
"displayName": "Basic Controlled Load Appliance",
"rateBlockUType": "singleRate",
"startDate": "2025-01-01T00:00:00.000Z",
"singleRate": {
"displayName": "Single Appliance",
"description": "Controlled load rate for a single appliance",
"dailySupplyCharge": "0.75",
"rates": [
{
"unitPrice": "0.332",
"measureUnit": "KWH"
}
]
}
}
],
"incentives": [
{
"displayName": "Cashbacks",
"description": "Sign up bonus",
"category": "ACCOUNT_CREDIT",
"eligibility": "If you sign up before 2025-02-01 you will get $100 cash back as credit on your bill"
}
],
"discounts": [
{
"displayName": "Pay on time",
"description": "Pay on time to get 1% off your bill",
"type": "CONDITIONAL",
"category": "PAY_ON_TIME",
"endDate": "string",
"methodUType": "percentOfBill",
"percentOfBill": {
"rate": "0.1"
}
}
],
"eligibility": [
{
"type": "NEW_CUSTOMER",
"information": "You must not have been a customer within the last 24 monthsr",
"description": "Only new customers are eligible for cashback incentives"
}
],
"fees": [
{
"type": "LATE_PAYMENT",
"term": "PERCENT_OF_BILL",
"rate": "0.05",
"description": "A 0.05% fee applies if your bill is not paid on time."
}
],
"solarFeedInTariff": [
{
"displayName": "Single rate Solar FiT",
"description": "Single Rate Solar feed-in tariff",
"startDate": "2025-01-01T00:00:00.000Z",
"scheme": "PREMIUM",
"payerType": "RETAILERT",
"tariffUType": "singleTariff",
"singleTariff": {
"rates": [
{
"unitPrice": "0.054",
"measureUnit": "KWH"
}
]
}
}
],
"tariffPeriod": [
{
"type": "RETAIL_SERVICE",
"displayName": "Single Rate",
"startDate": "2025-01-01T00:00:00.000Z",
"dailySupplyCharges": "0.64",
"timeZone": "LOCAL",
"rateBlockUType": "singleRate",
"singleRate": {
"displayName": "string",
"description": "string",
"generalUnitPrice": "string",
"rates": [
{
"unitPrice": "0.342",
"measureUnit": "KWH"
}
]
}
}
]
}
},
"authorisedContacts": [
{
"firstName": "Peter",
"lastName": "Sherman",
"prefix": "Dr"
}
]
}
]
}
}Energy
Get Energy Account Detail
Obtain detailed information for a specific energy account
GET
/
v1
/
energy
/
customer
/
{customerId}
/
accounts
/
{accountId}
Get Energy Account Detail
curl --request GET \
--url https://api.provider.fiskil.com/v1/energy/customer/{customerId}/accounts/{accountId} \
--header 'Authorization: Bearer <token>'{
"data": {
"accountId": "019a08ff-90b2-71b3-9704-2f5dc6647e49",
"accountNumber": "0123456789",
"displayName": "Resi Single Rate",
"openStatus": "OPEN",
"creationDate": "2025-01-01T00:00:00.000Z",
"plans": [
{
"nickname": "Resi Single Rate",
"servicePointIds": [
"4123456789"
],
"planOverview": {
"displayName": "Resi Single Rate",
"startDate": "2025-01-01T00:00:00.000Z"
},
"planDetail": {
"fuelType": "ELECTRICITY",
"isContingentPlan": false,
"meteringCharges": [
{
"displayName": "standard metering charge",
"description": "Basic fee for metering",
"minimumValue": "0.20",
"period": "P3M"
}
],
"electricityContract": {
"additionalFeeInformation": "A fee applies for missed payments",
"pricingModel": "SINGLE_RATE",
"timeZone": "LOCAL",
"isFixed": true,
"variation": "We may vary the rates for your electricity consumption with 30 days notice",
"paymentOption": [
"PAPER_BILL",
"CREDIT_CARD",
"DIRECT_DEBIT",
"BPAY"
],
"intrinsicGreenPower": {
"greenPercentage": "0.7"
},
"controlledLoad": [
{
"displayName": "Basic Controlled Load Appliance",
"rateBlockUType": "singleRate",
"startDate": "2025-01-01T00:00:00.000Z",
"singleRate": {
"displayName": "Single Appliance",
"description": "Controlled load rate for a single appliance",
"dailySupplyCharge": "0.75",
"rates": [
{
"unitPrice": "0.332",
"measureUnit": "KWH"
}
]
}
}
],
"incentives": [
{
"displayName": "Cashbacks",
"description": "Sign up bonus",
"category": "ACCOUNT_CREDIT",
"eligibility": "If you sign up before 2025-02-01 you will get $100 cash back as credit on your bill"
}
],
"discounts": [
{
"displayName": "Pay on time",
"description": "Pay on time to get 1% off your bill",
"type": "CONDITIONAL",
"category": "PAY_ON_TIME",
"endDate": "string",
"methodUType": "percentOfBill",
"percentOfBill": {
"rate": "0.1"
}
}
],
"eligibility": [
{
"type": "NEW_CUSTOMER",
"information": "You must not have been a customer within the last 24 monthsr",
"description": "Only new customers are eligible for cashback incentives"
}
],
"fees": [
{
"type": "LATE_PAYMENT",
"term": "PERCENT_OF_BILL",
"rate": "0.05",
"description": "A 0.05% fee applies if your bill is not paid on time."
}
],
"solarFeedInTariff": [
{
"displayName": "Single rate Solar FiT",
"description": "Single Rate Solar feed-in tariff",
"startDate": "2025-01-01T00:00:00.000Z",
"scheme": "PREMIUM",
"payerType": "RETAILERT",
"tariffUType": "singleTariff",
"singleTariff": {
"rates": [
{
"unitPrice": "0.054",
"measureUnit": "KWH"
}
]
}
}
],
"tariffPeriod": [
{
"type": "RETAIL_SERVICE",
"displayName": "Single Rate",
"startDate": "2025-01-01T00:00:00.000Z",
"dailySupplyCharges": "0.64",
"timeZone": "LOCAL",
"rateBlockUType": "singleRate",
"singleRate": {
"displayName": "string",
"description": "string",
"generalUnitPrice": "string",
"rates": [
{
"unitPrice": "0.342",
"measureUnit": "KWH"
}
]
}
}
]
}
},
"authorisedContacts": [
{
"firstName": "Peter",
"lastName": "Sherman",
"prefix": "Dr"
}
]
}
]
}
}Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil
Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
Unique ID of a customer. This ID must not change for the lifecycle of the customer
ID of a specific account to obtain data for.
Response
Details for the requested account
Show child attributes
Show child attributes
Was this page helpful?
⌘I